package com.emr.dao;

import com.emr.entity.Emr_Picture;

import java.util.List;

public interface Emr_PictureMapper {
    /**
     * 根据id删除记录
     * @param id
     * @return
     */
    int deleteById(String id);

    /**
     * 插入记录
     * @param record
     * @return
     */
    int insert(Emr_Picture record);

    /**
     * 根据可选字段插入记录
     * @param record
     * @return
     */
    int insertSel(Emr_Picture record);

    /**
     * 根据id查询记录
     * @param id
     * @return
     */
    Emr_Picture selectByid(String id);

    /**
     * 根据id和type_flag，修改可选字段的记录
     * @param record
     * @return
     */
    int updateCloByIdOrFlay(Emr_Picture record);

    /**
     * 根据主键修改记录
     * @param record
     * @return
     */
    int updateByPrimaryKey(Emr_Picture record);

    /**
     * 根据可选字段查询记录
     * @param record
     * @return
     */
    List<Emr_Picture> selectByClo(Emr_Picture record);
}